--- title: "Change the email address of the given user" slug: "change-the-email-address-of-the-given-user" updated: 2025-07-21T18:55:46Z published: 2025-07-21T18:55:54Z canonical: "docs.neeve.ai/change-the-email-address-of-the-given-user" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.neeve.ai/llms.txt > Use this file to discover all available pages before exploring further. # Change the email address of the given user Post/api/v1/users/{userId}/change-email SecurityHTTPType bearer Path parametersuserIdstringRequired The ID of the user Body parameters The new email address for the user object emailstring Responses200 OK Expand Allobject authorizationboolean dataobject messagestring error_codeinteger error_messagestring error_statusboolean Examplefalse 401 Unauthorized object error_codeinteger error_messagestring error_statusboolean 403 Forbidden - The user status is still pending Expand Allobject authorizationboolean Exampletrue dataobject messagestring error_codeinteger | null error_messagestring | null error_statusboolean 404 Not Found Expand Allobject authorizationboolean Exampletrue dataobject messagestring error_codeinteger | null error_messagestring | null error_statusboolean 422 Unprocessable Entity Expand Allobject authorizationboolean Exampletrue dataobject messagestring error_codeinteger | null error_messagestring | null error_statusboolean 500 Internal Server Error object authorizationboolean data Array of string Example[]string error_codeinteger | null error_messagestring | null error_statusboolean